unit CustomQueryDesignerTypes;

interface
uses db;
const
  TBoolOperators    : array [1..4] of string = ( 'AND', 'OR', 'AND NOT', 'OR NOT' );
  TOperatorList     : array [0..7] of string = ('=','<>','>','<','>=','<=', 'CONTAINING', 'STARTING WITH');

  // for Hungarian version
  THunBoolOperators : array [1..4] of string = ( 'S', 'VAGY', 'S NEM', 'VAGY NEM');
  THunOperatorList  : array [0..7] of string = ('=','<>','>','<','>=','<=', 'TARTALMAZZA, HOGY', 'GY KEZDDIK, HOGY');

type

  TEnumSavedQueries = procedure( ID : integer; QueryName : string ) of object;

  TDisplayNameSourceType = ( dnsNone, dnsIniFile, dnsRegistry, dnsIBTable, dnsRDBDescription );
  TFieldValueOperators = (fvoEqual, fvoNotEqual, fvoGreater, fvoLower, fvoGreaterOrEqual, fvoLowerOrEqual);

implementation

end.
 